package jst.parsetree;

import java.io.*;
import java.util.*;
import parser.grammar.Grammar;

public class Symbol {

    static public Grammar grammar;

    static private Symbol instance = new Symbol();

    private Symbol() {
        grammar = new Grammar();

		grammar.getTerminal("!");
		grammar.getTerminal("!=");
		grammar.getTerminal("%");
		grammar.getTerminal("%=");
		grammar.getTerminal("&");
		grammar.getTerminal("&&");
		grammar.getTerminal("&=");
		grammar.getTerminal("(");
		grammar.getTerminal(")");
		grammar.getTerminal("*");
		grammar.getTerminal("*=");
		grammar.getTerminal("+");
		grammar.getTerminal("++");
		grammar.getTerminal("+=");
		grammar.getTerminal(",");
		grammar.getTerminal("-");
		grammar.getTerminal("--");
		grammar.getTerminal("-=");
		grammar.getTerminal(".");
		grammar.getTerminal("...");
		grammar.getTerminal("/");
		grammar.getTerminal("/=");
		grammar.getTerminal(":");
		grammar.getTerminal(";");
		grammar.getTerminal("<");
		grammar.getTerminal("<<");
		grammar.getTerminal("<<=");
		grammar.getTerminal("<=");
		grammar.getTerminal("=");
		grammar.getTerminal("==");
		grammar.getTerminal(">");
		grammar.getTerminal(">=");
		grammar.getTerminal(">>");
		grammar.getTerminal(">>=");
		grammar.getTerminal(">>>");
		grammar.getTerminal(">>>=");
		grammar.getTerminal("?");
		grammar.getTerminal("@");
		grammar.getTerminal("YAK_$");
		grammar.getTerminal("[");
		grammar.getTerminal("]");
		grammar.getTerminal("^");
		grammar.getTerminal("^=");
		grammar.getTerminal("abstract");
		grammar.getTerminal("assert");
		grammar.getTerminal("boolean");
		grammar.getTerminal("break");
		grammar.getTerminal("byte");
		grammar.getTerminal("case");
		grammar.getTerminal("catch");
		grammar.getTerminal("char");
		grammar.getTerminal("class");
		grammar.getTerminal("continue");
		grammar.getTerminal("default");
		grammar.getTerminal("do");
		grammar.getTerminal("double");
		grammar.getTerminal("else");
		grammar.getTerminal("enum");
		grammar.getTerminal("extends");
		grammar.getTerminal("final");
		grammar.getTerminal("finally");
		grammar.getTerminal("float");
		grammar.getTerminal("for");
		grammar.getTerminal("identifier");
		grammar.getTerminal("if");
		grammar.getTerminal("implements");
		grammar.getTerminal("import");
		grammar.getTerminal("instanceof");
		grammar.getTerminal("int");
		grammar.getTerminal("interface");
		grammar.getTerminal("literal");
		grammar.getTerminal("long");
		grammar.getTerminal("native");
		grammar.getTerminal("new");
		grammar.getTerminal("package");
		grammar.getTerminal("private");
		grammar.getTerminal("protected");
		grammar.getTerminal("public");
		grammar.getTerminal("return");
		grammar.getTerminal("short");
		grammar.getTerminal("static");
		grammar.getTerminal("strictfp");
		grammar.getTerminal("super");
		grammar.getTerminal("switch");
		grammar.getTerminal("synchronized");
		grammar.getTerminal("this");
		grammar.getTerminal("throw");
		grammar.getTerminal("throws");
		grammar.getTerminal("transient");
		grammar.getTerminal("try");
		grammar.getTerminal("void");
		grammar.getTerminal("volatile");
		grammar.getTerminal("while");
		grammar.getTerminal("{");
		grammar.getTerminal("|");
		grammar.getTerminal("||");
		grammar.getTerminal("}");
		grammar.getTerminal("~");

		grammar.getNonterminal("AbstractMethodDeclaration");
		grammar.getNonterminal("AbstractMethodModifier");
		grammar.getNonterminal("AbstractMethodModifiers");
		grammar.getNonterminal("ActualTypeArgument");
		grammar.getNonterminal("ActualTypeArgumentList");
		grammar.getNonterminal("AdditionalBound");
		grammar.getNonterminal("AdditionalBoundList");
		grammar.getNonterminal("AdditiveExpression");
		grammar.getNonterminal("AmbiguousName");
		grammar.getNonterminal("AndExpression");
		grammar.getNonterminal("Annotation");
		grammar.getNonterminal("AnnotationTypeBody");
		grammar.getNonterminal("AnnotationTypeDeclaration");
		grammar.getNonterminal("AnnotationTypeElementDeclaration");
		grammar.getNonterminal("AnnotationTypeElementDeclarations");
		grammar.getNonterminal("Annotations");
		grammar.getNonterminal("ArgumentList");
		grammar.getNonterminal("Arguments");
		grammar.getNonterminal("ArrayAccess");
		grammar.getNonterminal("ArrayCreationExpression");
		grammar.getNonterminal("ArrayInitializer");
		grammar.getNonterminal("ArrayType");
		grammar.getNonterminal("AssertStatement");
		grammar.getNonterminal("Assignment");
		grammar.getNonterminal("AssignmentExpression");
		grammar.getNonterminal("AssignmentOperator");
		grammar.getNonterminal("BasicForStatement");
		grammar.getNonterminal("Block");
		grammar.getNonterminal("BlockStatement");
		grammar.getNonterminal("BlockStatements");
		grammar.getNonterminal("BreakStatement");
		grammar.getNonterminal("CastExpression");
		grammar.getNonterminal("CatchClause");
		grammar.getNonterminal("Catches");
		grammar.getNonterminal("ClassBody");
		grammar.getNonterminal("ClassBodyDeclaration");
		grammar.getNonterminal("ClassBodyDeclarations");
		grammar.getNonterminal("ClassDeclaration");
		grammar.getNonterminal("ClassInstanceCreationExpression");
		grammar.getNonterminal("ClassMemberDeclaration");
		grammar.getNonterminal("ClassModifier");
		grammar.getNonterminal("ClassModifiers");
		grammar.getNonterminal("ClassName");
		grammar.getNonterminal("ClassOrInterfaceType");
		grammar.getNonterminal("ClassType");
		grammar.getNonterminal("CompilationUnit");
		grammar.getNonterminal("ConditionalAndExpression");
		grammar.getNonterminal("ConditionalExpression");
		grammar.getNonterminal("ConditionalOrExpression");
		grammar.getNonterminal("ConstantDeclaration");
		grammar.getNonterminal("ConstantExpression");
		grammar.getNonterminal("ConstantModifier");
		grammar.getNonterminal("ConstantModifiers");
		grammar.getNonterminal("ConstructorBody");
		grammar.getNonterminal("ConstructorDeclaration");
		grammar.getNonterminal("ConstructorDeclarator");
		grammar.getNonterminal("ConstructorModifier");
		grammar.getNonterminal("ConstructorModifiers");
		grammar.getNonterminal("ContinueStatement");
		grammar.getNonterminal("DefaultValue");
		grammar.getNonterminal("DimExpr");
		grammar.getNonterminal("DimExprs");
		grammar.getNonterminal("Dims");
		grammar.getNonterminal("DoStatement");
		grammar.getNonterminal("ElementValue");
		grammar.getNonterminal("ElementValueArrayInitializer");
		grammar.getNonterminal("ElementValuePair");
		grammar.getNonterminal("ElementValuePairs");
		grammar.getNonterminal("ElementValues");
		grammar.getNonterminal("EmptyStatement");
		grammar.getNonterminal("EnhancedForStatement");
		grammar.getNonterminal("EnumBody");
		grammar.getNonterminal("EnumBodyDeclarations");
		grammar.getNonterminal("EnumConstant");
		grammar.getNonterminal("EnumConstantName");
		grammar.getNonterminal("EnumConstants");
		grammar.getNonterminal("EnumDeclaration");
		grammar.getNonterminal("EqualityExpression");
		grammar.getNonterminal("ExceptionType");
		grammar.getNonterminal("ExceptionTypeList");
		grammar.getNonterminal("ExclusiveOrExpression");
		grammar.getNonterminal("ExplicitConstructorInvocation");
		grammar.getNonterminal("Expression");
		grammar.getNonterminal("ExpressionName");
		grammar.getNonterminal("ExpressionStatement");
		grammar.getNonterminal("ExtendsInterfaces");
		grammar.getNonterminal("FieldAccess");
		grammar.getNonterminal("FieldDeclaration");
		grammar.getNonterminal("FieldModifier");
		grammar.getNonterminal("FieldModifiers");
		grammar.getNonterminal("Finally");
		grammar.getNonterminal("FloatingPointType");
		grammar.getNonterminal("ForInit");
		grammar.getNonterminal("ForStatement");
		grammar.getNonterminal("ForStatementNoShortIf");
		grammar.getNonterminal("ForUpdate");
		grammar.getNonterminal("FormalParameter");
		grammar.getNonterminal("FormalParameterList");
		grammar.getNonterminal("FormalParameters");
		grammar.getNonterminal("IfThenElseStatement");
		grammar.getNonterminal("IfThenElseStatementNoShortIf");
		grammar.getNonterminal("IfThenStatement");
		grammar.getNonterminal("ImportDeclaration");
		grammar.getNonterminal("ImportDeclarations");
		grammar.getNonterminal("InclusiveOrExpression");
		grammar.getNonterminal("InstanceInitializer");
		grammar.getNonterminal("IntegralType");
		grammar.getNonterminal("InterfaceBody");
		grammar.getNonterminal("InterfaceDeclaration");
		grammar.getNonterminal("InterfaceMemberDeclaration");
		grammar.getNonterminal("InterfaceMemberDeclarations");
		grammar.getNonterminal("InterfaceModifier");
		grammar.getNonterminal("InterfaceModifiers");
		grammar.getNonterminal("InterfaceType");
		grammar.getNonterminal("InterfaceTypeList");
		grammar.getNonterminal("Interfaces");
		grammar.getNonterminal("LabeledStatement");
		grammar.getNonterminal("LabeledStatementNoShortIf");
		grammar.getNonterminal("LastFormalParameter");
		grammar.getNonterminal("LeftHandSide");
		grammar.getNonterminal("LocalVariableDeclaration");
		grammar.getNonterminal("LocalVariableDeclarationStatement");
		grammar.getNonterminal("MarkerAnnotation");
		grammar.getNonterminal("MethodBody");
		grammar.getNonterminal("MethodDeclaration");
		grammar.getNonterminal("MethodDeclarator");
		grammar.getNonterminal("MethodHeader");
		grammar.getNonterminal("MethodInvocation");
		grammar.getNonterminal("MethodModifier");
		grammar.getNonterminal("MethodModifiers");
		grammar.getNonterminal("MethodName");
		grammar.getNonterminal("MultiplicativeExpression");
		grammar.getNonterminal("NonWildTypeArguments");
		grammar.getNonterminal("NormalAnnotation");
		grammar.getNonterminal("NormalClassDeclaration");
		grammar.getNonterminal("NormalInterfaceDeclaration");
		grammar.getNonterminal("NumericType");
		grammar.getNonterminal("PackageDeclaration");
		grammar.getNonterminal("PackageName");
		grammar.getNonterminal("PackageOrTypeName");
		grammar.getNonterminal("PostDecrementExpression");
		grammar.getNonterminal("PostIncrementExpression");
		grammar.getNonterminal("PostfixExpression");
		grammar.getNonterminal("PreDecrementExpression");
		grammar.getNonterminal("PreIncrementExpression");
		grammar.getNonterminal("Primary");
		grammar.getNonterminal("PrimaryNoNewArray");
		grammar.getNonterminal("PrimitiveType");
		grammar.getNonterminal("ReferenceType");
		grammar.getNonterminal("ReferenceTypeList");
		grammar.getNonterminal("RelationalExpression");
		grammar.getNonterminal("ResultType");
		grammar.getNonterminal("ReturnStatement");
		grammar.getNonterminal("ShiftExpression");
		grammar.getNonterminal("SimpleTypeName");
		grammar.getNonterminal("SingleElementAnnotation");
		grammar.getNonterminal("SingleStaticImportDeclaration");
		grammar.getNonterminal("SingleTypeImportDeclaration");
		grammar.getNonterminal("Statement");
		grammar.getNonterminal("StatementExpression");
		grammar.getNonterminal("StatementExpressionList");
		grammar.getNonterminal("StatementNoShortIf");
		grammar.getNonterminal("StatementWithoutTrailingSubstatement");
		grammar.getNonterminal("StaticImportOnDemandDeclaration");
		grammar.getNonterminal("StaticInitializer");
		grammar.getNonterminal("Super");
		grammar.getNonterminal("SwitchBlock");
		grammar.getNonterminal("SwitchBlockStatementGroup");
		grammar.getNonterminal("SwitchBlockStatementGroups");
		grammar.getNonterminal("SwitchLabel");
		grammar.getNonterminal("SwitchLabels");
		grammar.getNonterminal("SwitchStatement");
		grammar.getNonterminal("SynchronizedStatement");
		grammar.getNonterminal("ThrowStatement");
		grammar.getNonterminal("Throws");
		grammar.getNonterminal("TryStatement");
		grammar.getNonterminal("Type");
		grammar.getNonterminal("TypeArguments");
		grammar.getNonterminal("TypeBound");
		grammar.getNonterminal("TypeDeclSpecifier");
		grammar.getNonterminal("TypeDeclaration");
		grammar.getNonterminal("TypeDeclarations");
		grammar.getNonterminal("TypeImportOnDemandDeclaration");
		grammar.getNonterminal("TypeName");
		grammar.getNonterminal("TypeParameter");
		grammar.getNonterminal("TypeParameterList");
		grammar.getNonterminal("TypeParameters");
		grammar.getNonterminal("TypeVariable");
		grammar.getNonterminal("UnaryExpression");
		grammar.getNonterminal("UnaryExpressionNotPlusMinus");
		grammar.getNonterminal("VariableDeclarator");
		grammar.getNonterminal("VariableDeclaratorId");
		grammar.getNonterminal("VariableDeclarators");
		grammar.getNonterminal("VariableInitializer");
		grammar.getNonterminal("VariableInitializers");
		grammar.getNonterminal("VariableModifier");
		grammar.getNonterminal("VariableModifiers");
		grammar.getNonterminal("WhileStatement");
		grammar.getNonterminal("WhileStatementNoShortIf");
		grammar.getNonterminal("WildCard");
		grammar.getNonterminal("WildCardBounds");
		grammar.getNonterminal("goal");
    }

    static public final int T_NOT = 1;
    static public final int T_NOTEQ = 2;
    static public final int T_MOD = 3;
    static public final int T_MODEQ = 4;
    static public final int T_AND = 5;
    static public final int T_ANDAND = 6;
    static public final int T_ANDEQ = 7;
    static public final int T_LPAREN = 8;
    static public final int T_RPAREN = 9;
    static public final int T_MULT = 10;
    static public final int T_MULTEQ = 11;
    static public final int T_PLUS = 12;
    static public final int T_PLUSEQ = 13;
    static public final int T_PLUSPLUS = 14;
    static public final int T_COMMA = 15;
    static public final int T_MINUS = 16;
    static public final int T_MINUSEQ = 17;
    static public final int T_MINUSMINUS = 18;
    static public final int T_DOT = 19;
    static public final int T_DOTDOTDOT = 20;
    static public final int T_DIV = 21;
    static public final int T_DIVEQ = 22;
    static public final int T_COLON = 23;
    static public final int T_SEMICOLON = 24;
    static public final int T_LT = 25;
    static public final int T_LSHIFT = 26;
    static public final int T_LSHIFTEQ = 27;
    static public final int T_LTEQ = 28;
    static public final int T_EQ = 29;
    static public final int T_EQEQ = 30;
    static public final int T_GT = 31;
    static public final int T_GTEQ = 32;
    static public final int T_RSHIFT = 33;
    static public final int T_RSHIFTEQ = 34;
    static public final int T_URSHIFT = 35;
    static public final int T_URSHIFTEQ = 36;
    static public final int T_QUESTION = 37;
    static public final int T_AT = 38;
    static public final int T_YAK_$ = 39;
    static public final int T_LBRACK = 40;
    static public final int T_RBRACK = 41;
    static public final int T_XOR = 42;
    static public final int T_XOREQ = 43;
    static public final int T_ABSTRACT = 44;
    static public final int T_ASSERT = 45;
    static public final int T_BOOLEAN = 46;
    static public final int T_BREAK = 47;
    static public final int T_BYTE = 48;
    static public final int T_CASE = 49;
    static public final int T_CATCH = 50;
    static public final int T_CHAR = 51;
    static public final int T_CLASS = 52;
    static public final int T_CONTINUE = 53;
    static public final int T_DEFAULT = 54;
    static public final int T_DO = 55;
    static public final int T_DOUBLE = 56;
    static public final int T_ELSE = 57;
    static public final int T_ENUM = 58;
    static public final int T_EXTENDS = 59;
    static public final int T_FINAL = 60;
    static public final int T_FINALLY = 61;
    static public final int T_FLOAT = 62;
    static public final int T_FOR = 63;
    static public final int T_IDENTIFIER = 64;
    static public final int T_IF = 65;
    static public final int T_IMPLEMENTS = 66;
    static public final int T_IMPORT = 67;
    static public final int T_INSTANCEOF = 68;
    static public final int T_INT = 69;
    static public final int T_INTERFACE = 70;
    static public final int T_LITERAL = 71;
    static public final int T_LONG = 72;
    static public final int T_NATIVE = 73;
    static public final int T_NEW = 74;
    static public final int T_PACKAGE = 75;
    static public final int T_PRIVATE = 76;
    static public final int T_PROTECTED = 77;
    static public final int T_PUBLIC = 78;
    static public final int T_RETURN = 79;
    static public final int T_SHORT = 80;
    static public final int T_STATIC = 81;
    static public final int T_STRICTFP = 82;
    static public final int T_SUPER = 83;
    static public final int T_SWITCH = 84;
    static public final int T_SYNCHRONIZED = 85;
    static public final int T_THIS = 86;
    static public final int T_THROW = 87;
    static public final int T_THROWS = 88;
    static public final int T_TRANSIENT = 89;
    static public final int T_TRY = 90;
    static public final int T_VOID = 91;
    static public final int T_VOLATILE = 92;
    static public final int T_WHILE = 93;
    static public final int T_LBRACE = 94;
    static public final int T_OR = 95;
    static public final int T_OROR = 96;
    static public final int T_RBRACE = 97;
    static public final int T_COMP = 98;

    static public final int NT_ABSTRACT_METHOD_DECLARATION = 99;
    static public final int NT_ABSTRACT_METHOD_MODIFIER = 100;
    static public final int NT_ABSTRACT_METHOD_MODIFIERS = 101;
    static public final int NT_ACTUAL_TYPE_ARGUMENT = 102;
    static public final int NT_ACTUAL_TYPE_ARGUMENT_LIST = 103;
    static public final int NT_ADDITIONAL_BOUND = 104;
    static public final int NT_ADDITIONAL_BOUND_LIST = 105;
    static public final int NT_ADDITIVE_EXPRESSION = 106;
    static public final int NT_AMBIGUOUS_NAME = 107;
    static public final int NT_AND_EXPRESSION = 108;
    static public final int NT_ANNOTATION = 109;
    static public final int NT_ANNOTATION_TYPE_BODY = 110;
    static public final int NT_ANNOTATION_TYPE_DECLARATION = 111;
    static public final int NT_ANNOTATION_TYPE_ELEMENT_DECLARATION = 112;
    static public final int NT_ANNOTATION_TYPE_ELEMENT_DECLARATIONS = 113;
    static public final int NT_ANNOTATIONS = 114;
    static public final int NT_ARGUMENT_LIST = 115;
    static public final int NT_ARGUMENTS = 116;
    static public final int NT_ARRAY_ACCESS = 117;
    static public final int NT_ARRAY_CREATION_EXPRESSION = 118;
    static public final int NT_ARRAY_INITIALIZER = 119;
    static public final int NT_ARRAY_TYPE = 120;
    static public final int NT_ASSERT_STATEMENT = 121;
    static public final int NT_ASSIGNMENT = 122;
    static public final int NT_ASSIGNMENT_EXPRESSION = 123;
    static public final int NT_ASSIGNMENT_OPERATOR = 124;
    static public final int NT_BASIC_FOR_STATEMENT = 125;
    static public final int NT_BLOCK = 126;
    static public final int NT_BLOCK_STATEMENT = 127;
    static public final int NT_BLOCK_STATEMENTS = 128;
    static public final int NT_BREAK_STATEMENT = 129;
    static public final int NT_CAST_EXPRESSION = 130;
    static public final int NT_CATCH_CLAUSE = 131;
    static public final int NT_CATCHES = 132;
    static public final int NT_CLASS_BODY = 133;
    static public final int NT_CLASS_BODY_DECLARATION = 134;
    static public final int NT_CLASS_BODY_DECLARATIONS = 135;
    static public final int NT_CLASS_DECLARATION = 136;
    static public final int NT_CLASS_INSTANCE_CREATION_EXPRESSION = 137;
    static public final int NT_CLASS_MEMBER_DECLARATION = 138;
    static public final int NT_CLASS_MODIFIER = 139;
    static public final int NT_CLASS_MODIFIERS = 140;
    static public final int NT_CLASS_NAME = 141;
    static public final int NT_CLASS_OR_INTERFACE_TYPE = 142;
    static public final int NT_CLASS_TYPE = 143;
    static public final int NT_COMPILATION_UNIT = 144;
    static public final int NT_CONDITIONAL_AND_EXPRESSION = 145;
    static public final int NT_CONDITIONAL_EXPRESSION = 146;
    static public final int NT_CONDITIONAL_OR_EXPRESSION = 147;
    static public final int NT_CONSTANT_DECLARATION = 148;
    static public final int NT_CONSTANT_EXPRESSION = 149;
    static public final int NT_CONSTANT_MODIFIER = 150;
    static public final int NT_CONSTANT_MODIFIERS = 151;
    static public final int NT_CONSTRUCTOR_BODY = 152;
    static public final int NT_CONSTRUCTOR_DECLARATION = 153;
    static public final int NT_CONSTRUCTOR_DECLARATOR = 154;
    static public final int NT_CONSTRUCTOR_MODIFIER = 155;
    static public final int NT_CONSTRUCTOR_MODIFIERS = 156;
    static public final int NT_CONTINUE_STATEMENT = 157;
    static public final int NT_DEFAULT_VALUE = 158;
    static public final int NT_DIM_EXPR = 159;
    static public final int NT_DIM_EXPRS = 160;
    static public final int NT_DIMS = 161;
    static public final int NT_DO_STATEMENT = 162;
    static public final int NT_ELEMENT_VALUE = 163;
    static public final int NT_ELEMENT_VALUE_ARRAY_INITIALIZER = 164;
    static public final int NT_ELEMENT_VALUE_PAIR = 165;
    static public final int NT_ELEMENT_VALUE_PAIRS = 166;
    static public final int NT_ELEMENT_VALUES = 167;
    static public final int NT_EMPTY_STATEMENT = 168;
    static public final int NT_ENHANCED_FOR_STATEMENT = 169;
    static public final int NT_ENUM_BODY = 170;
    static public final int NT_ENUM_BODY_DECLARATIONS = 171;
    static public final int NT_ENUM_CONSTANT = 172;
    static public final int NT_ENUM_CONSTANT_NAME = 173;
    static public final int NT_ENUM_CONSTANTS = 174;
    static public final int NT_ENUM_DECLARATION = 175;
    static public final int NT_EQUALITY_EXPRESSION = 176;
    static public final int NT_EXCEPTION_TYPE = 177;
    static public final int NT_EXCEPTION_TYPE_LIST = 178;
    static public final int NT_EXCLUSIVE_OR_EXPRESSION = 179;
    static public final int NT_EXPLICIT_CONSTRUCTOR_INVOCATION = 180;
    static public final int NT_EXPRESSION = 181;
    static public final int NT_EXPRESSION_NAME = 182;
    static public final int NT_EXPRESSION_STATEMENT = 183;
    static public final int NT_EXTENDS_INTERFACES = 184;
    static public final int NT_FIELD_ACCESS = 185;
    static public final int NT_FIELD_DECLARATION = 186;
    static public final int NT_FIELD_MODIFIER = 187;
    static public final int NT_FIELD_MODIFIERS = 188;
    static public final int NT_FINALLY = 189;
    static public final int NT_FLOATING_POINT_TYPE = 190;
    static public final int NT_FOR_INIT = 191;
    static public final int NT_FOR_STATEMENT = 192;
    static public final int NT_FOR_STATEMENT_NO_SHORT_IF = 193;
    static public final int NT_FOR_UPDATE = 194;
    static public final int NT_FORMAL_PARAMETER = 195;
    static public final int NT_FORMAL_PARAMETER_LIST = 196;
    static public final int NT_FORMAL_PARAMETERS = 197;
    static public final int NT_IF_THEN_ELSE_STATEMENT = 198;
    static public final int NT_IF_THEN_ELSE_STATEMENT_NO_SHORT_IF = 199;
    static public final int NT_IF_THEN_STATEMENT = 200;
    static public final int NT_IMPORT_DECLARATION = 201;
    static public final int NT_IMPORT_DECLARATIONS = 202;
    static public final int NT_INCLUSIVE_OR_EXPRESSION = 203;
    static public final int NT_INSTANCE_INITIALIZER = 204;
    static public final int NT_INTEGRAL_TYPE = 205;
    static public final int NT_INTERFACE_BODY = 206;
    static public final int NT_INTERFACE_DECLARATION = 207;
    static public final int NT_INTERFACE_MEMBER_DECLARATION = 208;
    static public final int NT_INTERFACE_MEMBER_DECLARATIONS = 209;
    static public final int NT_INTERFACE_MODIFIER = 210;
    static public final int NT_INTERFACE_MODIFIERS = 211;
    static public final int NT_INTERFACE_TYPE = 212;
    static public final int NT_INTERFACE_TYPE_LIST = 213;
    static public final int NT_INTERFACES = 214;
    static public final int NT_LABELED_STATEMENT = 215;
    static public final int NT_LABELED_STATEMENT_NO_SHORT_IF = 216;
    static public final int NT_LAST_FORMAL_PARAMETER = 217;
    static public final int NT_LEFT_HAND_SIDE = 218;
    static public final int NT_LOCAL_VARIABLE_DECLARATION = 219;
    static public final int NT_LOCAL_VARIABLE_DECLARATION_STATEMENT = 220;
    static public final int NT_MARKER_ANNOTATION = 221;
    static public final int NT_METHOD_BODY = 222;
    static public final int NT_METHOD_DECLARATION = 223;
    static public final int NT_METHOD_DECLARATOR = 224;
    static public final int NT_METHOD_HEADER = 225;
    static public final int NT_METHOD_INVOCATION = 226;
    static public final int NT_METHOD_MODIFIER = 227;
    static public final int NT_METHOD_MODIFIERS = 228;
    static public final int NT_METHOD_NAME = 229;
    static public final int NT_MULTIPLICATIVE_EXPRESSION = 230;
    static public final int NT_NON_WILD_TYPE_ARGUMENTS = 231;
	static public final int NT_NORMAL_ANNOTATION = 232;
	static public final int NT_NORMAL_CLASS_DECLARATION = 233;
	static public final int NT_NORMAL_INTERFACE_DECLARATION = 234;
	static public final int NUMERIC_TYPE = 235;
    static public final int NT_PACKAGE_DECLARATION = 236;
    static public final int NT_PACKAGE_NAME = 237;
    static public final int NT_PACKAGE_OR_TYPE_NAME = 238;
    static public final int NT_POSTDECREMENT_EXPRESSION = 239;
    static public final int NT_POSTINCREMENT_EXPRESSION = 240;
    static public final int NT_POSTFIX_EXPRESSION = 241;
    static public final int NT_PREDECREMENT_EXPRESSION = 242;
    static public final int NT_PREINCREMENT_EXPRESSION = 243;
    static public final int NT_PRIMARY = 244;
    static public final int NT_PRIMARY_NO_NEW_ARRAY = 245;
    static public final int NT_PRIMITIVE_TYPE = 246;
    static public final int NT_REFERENCE_TYPE = 247;
    static public final int NT_REFERENCE_TYPE_LIST = 248;
    static public final int NT_RELATIONAL_EXPRESSION = 249;
    static public final int NT_RESULT_TYPE = 250;
    static public final int NT_RETURN_STATEMENT = 251;
    static public final int NT_SHIFT_EXPRESSION = 252;
    static public final int NT_SIMPLE_TYPE_NAME = 253;
    static public final int NT_SINGLE_ELEMENT_ANNOTATION = 254;
    static public final int NT_SINGLE_STATIC_IMPORT_DECLARATION = 255;
    static public final int NT_SINGLE_TYPE_IMPORT_DECLARATION = 256;
    static public final int NT_STATEMENT = 257;
    static public final int NT_STATEMENT_EXPRESSION = 258;
    static public final int NT_STATEMENT_EXPRESSION_LIST = 259;
    static public final int NT_STATEMENT_NO_SHORT_IF = 260;
    static public final int NT_STATEMENT_WITHOUT_TRAILING_SUBSTATEMENT = 261;
    static public final int NT_STATIC_IMPORT_ON_DEMAND_DECLARATION = 262;
    static public final int NT_STATIC_INITIALIZER = 263;
    static public final int NT_SUPER = 264;
    static public final int NT_SWITCH_BLOCK = 265;
    static public final int NT_SWITCH_BLOCK_STATEMENT_GROUP = 266;
    static public final int NT_SWITCH_BLOCK_STATEMENT_GROUPS = 267;
    static public final int NT_SWITCH_LABEL = 268;
    static public final int NT_SWITCH_LABELS = 269;
    static public final int NT_SWITCH_STATEMENT = 270;
    static public final int NT_SYNCHRONIZED_STATEMENT = 271;
    static public final int NT_THROW_STATEMENT = 272;
    static public final int NT_THROWS = 273;
    static public final int NT_TRY_STATEMENT = 274;
    static public final int NT_TYPE = 275;
    static public final int NT_TYPE_ARGUMENTS = 276;
    static public final int NT_TYPE_BOUND = 277;
    static public final int NT_TYPE_DECL_SPECIFIER = 278;
    static public final int NT_TYPE_DECLARATION = 279;
    static public final int NT_TYPE_DECLARATIONS = 280;
    static public final int NT_TYPE_IMPORT_ON_DEMAND_DECLARATION = 281;
    static public final int NT_TYPE_NAME = 282;
    static public final int NT_TYPE_PARAMETER = 283;
    static public final int NT_TYPE_PARAMETER_LIST = 284;
    static public final int NT_TYPE_PARAMETERS = 285;
    static public final int NT_TYPE_VARIABLE = 286;
    static public final int NT_UNARY_EXPRESSION = 287;
    static public final int NT_UNARY_EXPRESSION_NOT_PLUS_MINUS = 288;
    static public final int NT_VARIABLE_DECLARATOR = 289;
    static public final int NT_VARIABLE_DECLARATOR_ID = 290;
    static public final int NT_VARIABLE_DECLARATORS = 291;
    static public final int NT_VARIABLE_INITIALIZER = 292;
    static public final int NT_VARIABLE_INITIALIZERS = 293;
    static public final int NT_VARIABLE_MODIFIER = 294;
    static public final int NT_VARIABLE_MODIFIERS = 295;
    static public final int NT_WHILE_STATEMENT = 296;
    static public final int NT_WHILE_STATEMENT_NO_SHORT_IF = 297;
    static public final int NT_WILDCARD = 298;
    static public final int NT_WILDCARD_BOUNDS = 299;
    // static public final int NT_SPRIME = 300;
    static public final int NT_GOAL = 300;
}


