package jst.symtab;

import java.util.*;
import jst.parsetree.*;
import jst.symtab.link.*;

// Is this class necessary?
public class IntersectionType extends ReferenceType {

	protected Set<TypeLookup> typeLookups;

	protected IntersectionType(TypeParameter ownerTypeParameter, JstParseTreeBranch theSource) {
    	super(ownerTypeParameter, "UpperBound", theSource);

		typeLookups = new HashSet<TypeLookup>();

		ownerTypeParameter.setBound(this);
	}

	public void copy(UserType newOwnerUserType, Map<TypeParameter, ActualType> swaps) {
		assert false;
	}

 	public String getCanonicalName() {
       	return "TYP_" + getOwnerScope().getCanonicalName().substring(4) + "." + simpleName;
    }

	public String generateName() {
		assert false;
		return null;
	}

	public void addBound(TypeLookup type) {
		typeLookups.add(type);
	}

	// - For each Ti, 1 <= i <= n, let Ci be the most specific class or array type such
	// that Ti <: Ci Then there must be some Tk <: Ck such that Ck <: Ci for any
	// i, 1 <= i <= n, or a compile-time error occurs.
	//
	// - For 1 <= j <= n, if Tj is a type variable, then let ITj be an interface whose members
	// are the same as the public members of Tj; otherwise, if Tj is an interface,
	// then let ITj be Tj.
	//
	// - Then the intersection type has the same members as a class type (8) with an
	// empty body, direct superclass Ck and direct superinterfaces IT1 , ..., ITn,
	// declared in the same package in which the intersection type appears.
	// 
	public boolean resolve(List messages) {
		boolean ok = true;

		for (TypeLookup type: typeLookups)
			ok |= type.resolve();

		return ok;
	}

	protected Set<TypeDecl> getTypes() {
		Set<TypeDecl> types = new HashSet<TypeDecl>();

		for (TypeLookup typeLookup: typeLookups) {
			TypeDecl type = typeLookup.getType();
			if (type != null)
				types.add(type);
		}

		return types;

	}

	public void addMethod(MethodDecl method) {
		assert false;
	}

	public void addField(FieldDecl field) {
		assert false;
	}

	public boolean assignableFrom(TypeDecl rhs) {
		assert false;

		return false;
    }

	public VariableDecl lookupVariable(boolean widen, String variableName, ReferenceType looker) {

		for (TypeDecl type: getTypes()) {
			ReferenceType ref = type.asReferenceType();
			if (ref == null)
				continue;

			VariableDecl result = ref.lookupVariable(widen, variableName, looker);
			if (result != null)
				return result;
		}

		return null;
	}

	public TypeDecl lookupType(boolean widen, String typeName, ReferenceType looker) {
		for (TypeDecl type: getTypes()) {
			ReferenceType ref = type.asReferenceType();
			if (ref == null)
				continue;

			TypeDecl result = ref.lookupType(widen, typeName, looker);
			if (result != null)
				return result;
		}

		return null;
	}

	public MethodDecl lookupMethod(boolean widen, String methodName, List params, ReferenceType looker) {
		for (TypeDecl type: getTypes()) {
			ReferenceType ref = type.asReferenceType();
			if (ref == null)
				continue;

			MethodDecl result = ref.lookupMethod(widen, methodName, params, looker);
			if (result != null)
				return result;
		}

		return null;
	}

	// Yarg!  This method suggests IntersectionType should be a subclass of ReferenceType.
	public boolean isSubtypeOf(ReferenceType parent) {
		// Fix this: this is just an approximation of the right behaviour.
		for (TypeDecl type: getTypes()) {
			ReferenceType ref = type.asReferenceType();
			if (ref != null && ref.isSubtypeOf(parent))
				return true;
		}

		return false;
	}
}
