
package jst.symtab;

import java.util.*;
import java.io.*;

import jst.symtab.visitor.ModelVisitor;

public class NullType extends TypeDecl {

	// Singleton
    static protected NullType theInstance = new NullType();

	static public NullType getNullType() {
    	return theInstance;
    }

	private NullType() {
    	super(PackageDecl.getDefaultPackage(), "null", null);
    }

	public void copy(UserType newOwnerUserType, Map<TypeParameter, ActualType> swaps) {
		assert false;
	}

 	public String getCanonicalName() {
       	return "TYP_" + simpleName;
    }

	public boolean assignableFrom(TypeDecl rhs) {
    	return false;
    }

	// public String getXMLName() {
    // 	return "null";
    // }

    public void accept(ModelVisitor visitor) {
        visitor.visitNullType(this);
    }
}
