package jst.symtab.link;

import parser.parsetree.*;

public class SourceIdentifier extends Identifier {
	
	protected SyntaxTreeLeaf source;

	public SourceIdentifier(SyntaxTreeLeaf theSource) {
		assert theSource != null;

		source = theSource;
	}

	public String getName() {
		return source.getValue();
	}

	public int getLine() {
		return source.getLine();
	}

	public int getColumn() {
		return source.getColumn();
	}

	public SyntaxTreeLeaf getSource() {
		return source;
	}
}
