package jst.symtab.link;

import jst.app.JSTMessage;
import jst.symtab.*;

public class UserTypeLookup extends TypeLookup {
	
	public UserTypeLookup(ScopeLink theQualifier, Identifier name) {
		super(theQualifier, name);
	}

	public UserTypeLookup(Decl newOwner, UserTypeLookup that) {
		super(newOwner, that);
	}

	public UserTypeLookup copy(Decl newOwner) {
		return new UserTypeLookup(newOwner, this);
	}

	protected boolean checkType() {
		return getUserType() != null;
	}

	public UserType getUserType() {
		if (type == null)
			return null;

		return type.asUserType();
	}

	protected JSTMessage getTypeError() {
		return JSTMessage.TYPE_NOT_A_USERTYPE;
	}
}
