package jst.symtab.link;

import jst.app.JSTMessage;
import jst.symtab.*;

public class VariableLookup extends TypedLookup {

	protected VariableDecl variable;

	public VariableLookup(ScopeLink theQualifier, Identifier name) {
		super(theQualifier, name);
	}

	public VariableLookup(Decl newOwner, VariableLookup that) {
		super(newOwner, that);
	}

	public VariableLookup copy(Decl newOwner) {
		return new VariableLookup(newOwner, this);
	}

	public VariableLookup copyType(Decl newOwner) {
		return copy(newOwner);
	}

	protected boolean lookup() {
		if(qualifier.getScope() == null) {
			return false;
		}
		else {
			variable = qualifier.getScope().lookupVariable(widen(), getName(), getLooker());
		}
		return variable != null;
	}

	protected JSTMessage getError() {
		return JSTMessage.VARIABLE_NOT_FOUND;
	}

	public Decl getDecl() {
		return getVariableDecl();
	}

	public VariableDecl getVariableDecl() {
		return variable;
	}

	public TypeDecl getType() {
		if (variable == null)
			return null;

		return variable.getType();
	}
}
