package parser.parsetree;

import parser.grammar.*;
import parser.parsetree.visitor.*;

/** A Token that carries a value independent of the type. */
public class ValueToken extends Token {

    /** The string value of the token. */
    protected String tokenValue;

    /** Construct a token with the given type and value. */
    public ValueToken(Terminal theTerminalType, String theTokenValue, int theLine, int theColumn) {
        super(theTerminalType, theLine, theColumn);

        assert theTokenValue != null;
        tokenValue = theTokenValue;
    }

    public boolean hasValue() {
        return true;
    }

    /* Getter for value. */
    public String getValue() {
        return tokenValue;
    }

	public String toString() {
        return terminalType + " [" + tokenValue + "] (" + getLine() + ", " + getColumn() + ")";
    }
}
