package parser.parsetree.treeFactory;

import parser.grammar.*;
import parser.parsetree.*;

import java.util.*;

public class AmbiguousGenericParseTreeFactory extends GenericParseTreeFactory {

    /**
     * Replace an existing node with an ambiguous one.  Checks first whether the alternative is identical.
     *
     * @param existing a parse tree node that may already be in use in a tree.
     * @param alternative an ambiguous alternative that has the same lhs.
     */
	public void makeAmbiguity(SyntaxTreeBranch existing, SyntaxTreeBranch alternative) {
        assert existing != null;

        //if (existing.equals(alternative))
        //    return;

        existing.ambiguity(alternative);
    }
}
