package parser.pda;
import parser.parsetree.*;

public class SimpleStackNode extends IntStackNode {

        public SyntaxTree tree;

        /**
         * @supplierCardinality 0..1
         * @supplierRole previous 
         */
        public SimpleStackNode previous;

        // Make root node.
        public SimpleStackNode(int theState) {
            this(null, theState, null);
        }
    
        protected SimpleStackNode(SimpleStackNode prev, int theState, SyntaxTree theTree) {
            state = theState;
            previous = prev;
            tree = theTree;
        }

        public SyntaxTree getTree() {
            return tree;
        }
    
        protected SimpleStackNode push(int theState, SyntaxTree tree) {
            return new SimpleStackNode(this, theState, tree);
        }
    
        protected SimpleStackNode pop() {
            return previous;
        }
    }
