package parser.pda.tokenStream;

import parser.parsetree.*;
import parser.grammar.*;

import java.util.*;

public class BufferedTokenStream extends ScannedTokenStream {

    protected List buffer; // Tokens
    protected int depth;

    public BufferedTokenStream(Scanner theScanner) {
	    super(theScanner);
        buffer = new LinkedList();
        //advance();
    }

    public void start() {
        depth = 0;
    }

    public Terminal look() {
        if (buffer.size() <= depth)
            buffer.add(scanner.next());

        Token token = (Token) buffer.get(depth++);
	    return token == null? null : token.getTerminalType();
    }

    public Token first() {
        return (Token) buffer.get(0);
    }

    public void advance() {
        if (!buffer.isEmpty())
            buffer.remove(0);

        if (buffer.isEmpty())
            buffer.add(scanner.next());

        depth = 0;
    }
}
