package parser.pda.tokenStream;

import parser.parsetree.*;
import parser.grammar.*;

public class SimpleTokenStream extends ScannedTokenStream {

    protected Token current;

    protected boolean lookDone;

    public SimpleTokenStream(Scanner theScanner) {
        super(theScanner);
        current = null;
        //advance();
    }

    public void start() {
        lookDone = false;
    }

    public Terminal look() {
        if (lookDone)
            return null; // Tried multiple looks.

        lookDone = true; // Single lookahead used up.
        return current == null? null : current.getTerminalType();
    }

    public Token first() {
        return current;
    }

    public void advance() {
        current = scanner.next();
        lookDone = false;
    }
}
