package util;

import java.util.*;

/**
 * @testcase util.test.util.TestMultiMap
 *
 * Damn! This class isn't right yet.  EntrySet & ValueSet need to be backed
 * bt the collection: removing something from either one updates the other.
 */
public class MultiMap {

	protected Map contents;

	protected class Entry implements java.util.Map.Entry {
    	protected Object key;
        protected Object value;

		public Entry(Object theKey, Object theValue) {
        	key = theKey;
            value = theValue;
        }

    	public boolean equals(Object o) {
        	if (!(o instanceof Entry))
            	return false;

			Entry that = (Entry) o;
			return 	(this.getKey() == null?
      					that.getKey() == null :
                        this.getKey().equals(that.getKey()))  &&
     				(this.getValue() == null?
      					that.getValue() == null :
                        this.getValue().equals(that.getValue()));
        }

		public Object getKey() {
        	return key;
        }

		public Object getValue() {
        	return value;
        }

		public int hashCode() {
        	return (key == null? 0 : key.hashCode()) * 31 + (value == null? 0 : value.hashCode());
        }

		public Object setValue(Object newValue) {
			if (value == newValue)
            	return value;

            remove(key, value);
            put(key, newValue);

			Object oldValue = value;
            value = newValue;
            return oldValue;
        }

        public String toString() {
            return key.toString() + ", " + value.toString();
        }
    }

	public MultiMap() {
    	contents = new HashMap();
    }

	public void clear() {
    	contents.clear();
    }

	public boolean containsKey(Object key) {
    	return contents.containsKey(key);
    }

	public boolean containsValue(Object value) {
    	Iterator valuesIter = contents.values().iterator();
        while (valuesIter.hasNext()) {
        	Set values = (Set) valuesIter.next();

			if (values.contains(value))
            	return true;
        }

		return false;
    }

	public Set entrySet() {
    	Set entries = new HashSet();

        Iterator entryIter = contents.entrySet().iterator();
        while (entryIter.hasNext()) {
        	Map.Entry setEntry = (Map.Entry) entryIter.next();
            Object key = setEntry.getKey();
            Set values = (Set) setEntry.getValue();

			Iterator valueIter = values.iterator();
            while (valueIter.hasNext()) {
				Object value = valueIter.next();
                entries.add(new Entry(key, value));
            }
        }

		return entries;
    }

	public boolean equals(Object o) {
    	return contents.equals(o);
    }

	public Set get(Object key) {
    	return (Set) contents.get(key);
    }

	public int hashCode() {
    	return contents.hashCode();
    }

	public boolean isEmpty() {
    	return contents.isEmpty();
    }

	public Set keySet() {
    	return contents.keySet();
    }

	public Set put(Object key, Object value) {
    	Set values = get(key);
        if (values == null) {
        	values = new HashSet();
			contents.put(key, values);
        }

		values.add(value);

		return values;
    }

	public Set put(Object key, Set values) {
        // Might be called with a null value set.
        if (values == null)
            return put(key, (Object) values); // Use simple put.

    	Set valueSet = get(key);
        if (valueSet == null) {
        	valueSet = new HashSet();
			contents.put(key, valueSet);
        }

		valueSet.addAll(values);

		return valueSet;
    }

    public void putAll(MultiMap t) {
     // Can't call contents.putAll(t.contents), because it will lose existing values.

        Iterator entryIter = t.asMap().entrySet().iterator();
        while (entryIter.hasNext()) {
         Map.Entry setEntry = (Map.Entry) entryIter.next();
            Object key = setEntry.getKey();
            Set values = (Set) setEntry.getValue();
	        put(key, values);
        }
    }

    public void putAll(Map t) {
     // Can't call contents.putAll(t.contents), because it will lose existing values.

        Iterator entryIter = t.entrySet().iterator();
        while (entryIter.hasNext()) {
            Map.Entry entry = (Map.Entry) entryIter.next();
            Object key = entry.getKey();
            Object value = entry.getValue();
	        put(key, value);
        }
    }

	public Set remove(Object key) {
    	return (Set) contents.remove(key);
    }

	// Extra method.
	public boolean remove(Object key, Object value) {
    	Set values = get(key);
        if (values == null)
        	return false;

        boolean removed = values.remove(value);
        if (removed && values.isEmpty())
            remove(key);

		return removed;
    }

	public int size() {
    	int result = 0;

		Iterator valuesIter = contents.values().iterator();
        while (valuesIter.hasNext()) {
        	Set values = (Set) valuesIter.next();
            result += values.size();
        }

    	return result;
    }

	public Collection values() {
    	Set result = new HashSet(); // Should be a Bag?

		Iterator valuesIter = contents.values().iterator();
        while (valuesIter.hasNext()) {
        	Collection values = (Collection) valuesIter.next();
            result.addAll(values);
        }

		return result;
    }

	public Map asMap() {
    	return contents;
    }

    public MultiMap invert() {
        MultiMap result = new MultiMap();

        Iterator entryIter = entrySet().iterator();
        while (entryIter.hasNext()) {
            Map.Entry entry = (Map.Entry) entryIter.next();

            result.put(entry.getValue(), entry.getKey());
        }

        return result;
    }

    public String toString() {
        return contents.toString();
	}
}
