package util;

public class Pair implements Comparable {
    private Object left;
    private Object right;

    public Pair(Object theLeft, Object theRight) {
        left = theLeft;
        right = theRight;
    }

    public boolean equals(Object o) {
        Pair that = (Pair) o;

        if (that == null)
            return false;

        return halfEquals(left, that.left)  && halfEquals(right, that.right);
    }

    protected boolean halfEquals(Object o1, Object o2) {
        if (o1 == o2)
            return true;

        if (o1 == null || o2 == null)
            return false;

        return o1.equals(o2);
    }

    public int hashCode() {
        int leftCode = (left == null)? 0 : left.hashCode();
        int rightCode = (right == null)? 0 : right.hashCode();

        return leftCode * 31 + rightCode;
    }

    public int compareTo(Object o) {
        Pair that = (Pair) o;

        int leftCompare = ((Comparable)left).compareTo(that.left);
        if (leftCompare != 0)
            return leftCompare;

        return ((Comparable)right).compareTo(that.right);
    }

    public Object getLeft() {
        return left;
    }

    public Object getRight() {
        return right;
    }

    public String toString() {
        return "Pair [" + left + ", " + right + "]";
    }
}
